TldReader (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Groovy] Class TldReader

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.codehaus.groovy.grails.web.pages.ext.jsp.TldReader

    class TldReader
    extends org.xml.sax.helpers.DefaultHandler

A SAX parser implementation that reads the contents of a tag library definition (TLD) into two properties called tags and listeners (for the tag listeners)

Property Summary
`java.lang.StringBuilder` | `buf`
`java.util.List` | `listeners`
`java.util.Map` | `tags`

Method Summary
`void` | `characters(char[] chars, int offset, int length)`
`void` | `endElement(java.lang.String nsuri, java.lang.String localName, java.lang.String qName)`
`void` | `startElement(java.lang.String nsuri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
org.xml.sax.helpers.DefaultHandler#error(org.xml.sax.SAXParseException), org.xml.sax.helpers.DefaultHandler#startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes), org.xml.sax.helpers.DefaultHandler#endElement(java.lang.String, java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#characters([C, int, int), org.xml.sax.helpers.DefaultHandler#warning(org.xml.sax.SAXParseException), org.xml.sax.helpers.DefaultHandler#endDocument(), org.xml.sax.helpers.DefaultHandler#startDocument(), org.xml.sax.helpers.DefaultHandler#processingInstruction(java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#ignorableWhitespace([C, int, int), org.xml.sax.helpers.DefaultHandler#resolveEntity(java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#notationDecl(java.lang.String, java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#setDocumentLocator(org.xml.sax.Locator), org.xml.sax.helpers.DefaultHandler#startPrefixMapping(java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#endPrefixMapping(java.lang.String), org.xml.sax.helpers.DefaultHandler#skippedEntity(java.lang.String), org.xml.sax.helpers.DefaultHandler#fatalError(org.xml.sax.SAXParseException), org.xml.sax.helpers.DefaultHandler#wait(long, int), org.xml.sax.helpers.DefaultHandler#wait(long), org.xml.sax.helpers.DefaultHandler#wait(), org.xml.sax.helpers.DefaultHandler#equals(java.lang.Object), org.xml.sax.helpers.DefaultHandler#toString(), org.xml.sax.helpers.DefaultHandler#hashCode(), org.xml.sax.helpers.DefaultHandler#getClass(), org.xml.sax.helpers.DefaultHandler#notify(), org.xml.sax.helpers.DefaultHandler#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### buf

    java.lang.StringBuilder buf

### listeners

    final java.util.List listeners

### tags

    final java.util.Map tags

Method Detail

### characters

    void characters(char[] chars, int offset, int length)

### endElement

    void endElement(java.lang.String nsuri, java.lang.String localName, java.lang.String qName)

### startElement

    void startElement(java.lang.String nsuri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)

Groovy Documentation